How to get started with the API
How to connect the integration
Obtaining Tokens
Making changes
Testing API connection
HomeTesting API connection
Testing Your API Connection
Before testing, make sure you have a valid access_token and id_token obtained using your client_id.
Sending your first request
To get your first response from the API, you will need a browser and CURL (or any HTTP client).
With your tokens ready, you can call any API listed on this portal. Below is an example request to the Accounts API:
curl --location 'https://api.openapi.raiffeisen.ru/api/v1/accounts?fields=Id,Number,Name,OrganizationName,Currency' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your_access_token}' \
--header 'ID-Token: {your_id_token}'
Replace the placeholders with your actual values:
- In the
Authorizationheader, specify the token typeBearerand substitute the value ofaccess_tokeninstead ofyour_access_token, - In the
ID-Tokenheader, substitute the value ofid_tokeninstead ofyour_id_token.
A successful response will return HTTP 200 with an array of accounts available to the user whose tokens were used.